<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_f02edf67305f5d984784e5a63a" . "cb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNh" . "Y2hlcyAocnVubmluZyBmcm9tIHRoZSBjb21t" . "YW5kIGxpbmUp"), "_8fec21706b" . "d243b37ecf6" . "2b1caf8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_d9040256bf" . "f96ad2c221f" . "79439e0560c" => base64_decode("Q2xlYXJpbmcgZGl" . "yZWN0b3J5IA=="), "_2ac6cb432a5df95" . "9efdffbcd288d074" . "5" => base64_decode("Q2xlYXJpbm" . "cgdGVtcGxh" . "dGVyIGNhY2" . "hl"), "_edd716f0baedc2427c121be529" . "bf222d" => base64_decode("Q2xlYXJpbmcgYWxs" . "IGxvY2FsIGNhY2hl" . "cw=="), "_282505db60b6a60f1a0c5" . "4a0f8c27092" => base64_decode("VEVNUExBVEVSX" . "0NBQ0hFX0RJUg" . "=="), "_8fd6da143a74243303" . "7d3741c26c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZ" . "XRzIGNhY2hl"), "_8368ecd0faa75c04b4e54eac3" . "bd45d63" => base64_decode("Q2xlYXJpbmcgbG9jY" . "WxpemF0aW9uIGNhY2" . "hl"), "_db7b295629faa16027a2c2630" . "95eba70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="), "_4d707fab93bebb0" . "0bbe69e8159697c9" . "0" => base64_decode(""), "_2935eb81473a5cdf164" . "ba52dc31d305c" => base64_decode("Q2xlYXJpbmc" . "gbWVtb3J5IG" . "NhY2hlcw=="), "_3d13c2fddaab71a09eeaf22607f1db0" . "f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZCBjY" . "WNoZXM="), "_db98357e662ee4057f89ee50fd63" . "a2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGFzc2V0cyBjYWNo" . "ZQ=="), "_22ac6aae2762e0f310c495384c477d" . "c8" => base64_decode("LmdpdGtl" . "ZXA="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_282505db60b6a60f1a0" . "c54a0f8c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_edd716f0baedc2427" . "c121be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_db7b295629faa16027a2c26" . "3095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8fec2170" . "6bd243b37" . "ecf62b1ca" . "f8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f02edf67" . "305f5d984" . "784e5a63a" . "cb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3d13c2fddaab71a09eeaf22607f" . "1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8368ecd0faa75c04b4e54e" . "ac3bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8fd6da143a74243" . "3037d3741c26c9f1" . "4"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_db98357e662ee4057f89ee50" . "fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2935eb81473a5cd" . "f164ba52dc31d305" . "c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4d707fab93bebb00bbe69e8159" . "697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8" . "159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2ac6cb432a5df959efdff" . "bcd288d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d9040256bff96ad2c221f7943" . "9e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_22ac6aae27" . "62e0f310c49" . "5384c477dc8"]);
    }
}